/**
 * The RxJS Ninja Number module contains operators for working with, and returning number values. The operators allow
 * for filtering, querying, converting to and from String, and mathematical operations.
 *
 * @packageDocumentation
 * @module Number
 *
 */
export { add } from './lib/add';
export { mean, mean as average } from './lib/mean';
export { div } from './lib/div';
export { filterInRange } from './lib/filter-in-range';
export { filterIsFinite } from './lib/filter-is-finite';
export { filterIsFloat } from './lib/filter-is-float';
export { filterIsInteger } from './lib/filter-is-integer';
export { filterNaN } from './lib/filter-nan';
export { filterIsSafeInteger } from './lib/filter-is-safe-integer';
export { filterOutOfRange } from './lib/filter-out-of-range';
export { fromFibonacci } from './lib/from-fibonacci';
export { fromNumber } from './lib/from-number';
export { inRange } from './lib/in-range';
export { isFinite } from './lib/is-finite';
export { isFloat } from './lib/is-float';
export { isInteger } from './lib/is-integer';
export { isMod } from './lib/is-mod';
export { isNaN } from './lib/is-nan';
export { isNotNaN } from './lib/is-not-nan';
export { isSafeInteger } from './lib/is-safe-integer';
export { max } from './lib/max';
export { median } from './lib/median';
export { min } from './lib/min';
export { mod } from './lib/mod';
export { mul } from './lib/mul';
export { outOfRange } from './lib/out-of-range';
export { parseFloat } from './lib/parse-float';
export { parseHex } from './lib/parse-hex';
export { parseInt } from './lib/parse-int';
export { pow } from './lib/pow';
export { roundTo } from './lib/round-to';
export { sub } from './lib/sub';
export { toExponential } from './lib/to-exponential';
export { toFixed } from './lib/to-fixed';
export { toHex } from './lib/to-hex';
export { toLocaleString } from './lib/to-locale-string';
export { toPrecision } from './lib/to-precision';
export { toString } from './lib/to-string';
